Subject: Re: [PATCH net-next v20 00/13] Device Memory TCP

From: Jakub Kicinski <[email-masked]>
Date: Mon, 19 Aug 2024 15:45:49 -0700

On Mon, 19 Aug 2024 16:38:32 -0400 Mina Almasry wrote:
> Looks like in this iteration I resolved the previous test failure, but
> introduced a build regression with certain configs:
> 
> ld: vmlinux.o: in function `netdev_rx_queue_restart':
> (.text+0x6a4133): undefined reference to `page_pool_check_memory_provider'
> make[3]: *** [../scripts/Makefile.vmlinux:34: vmlinux] Error 1
> make[2]: *** [/home/kunit/testing/Makefile:1156: vmlinux] Error 2
> make[1]: *** [/home/kunit/testing/Makefile:224: __sub-make] Error 2
> make: *** [Makefile:224: __sub-make] Error 2
> 
> Looks like I'm not build testing with enough config variations (in
> this case CONFIG_NET=y but CONFIG_PAGE_POOL=n). I've fixed the issue
> locally and added a test to my presubmit checks with this config and a
> couple of risky others. Sorry about that.

Happens! Please share v21 later today I'll skip reviewing this one.